<?php $tabindex = 0 ?>
<?php if (isset($conf['utils']['spellchecker'])): ?>
<form action="<?php echo Horde::applicationUrl('spelling.php') ?>" method="post" name="spelling" target="impspelling">
  <input type="hidden" name="message" value="" />
  <input type="hidden" name="spell_lang" value="" />
</form>
<?php endif; ?>

<?php if ($prefs->getValue('auto_expand')): ?>
<iframe id="autoexpand" name="autoexpand" style="width:0px;height:0px;border-width:0px" src="<?php echo Horde::applicationUrl('expand.php') ?>"></iframe>
<?php endif; ?>

<form method="post" name="compose" <?php if ($imp['file_upload']): ?>enctype="multipart/form-data" <?php endif; ?>action="<?php echo Horde::addParameter(Horde::url('compose.php'), 'uniq', md5(microtime())) ?>">
<?php if ($imp['file_upload']): ?>
<input type="hidden" name="MAX_FILE_SIZE" value="<?php echo $imp['file_upload'] ?>" />
<?php endif; ?>
<?php Horde::pformInput() ?>
<input type="hidden" name="actionID" value="" />
<?php if (isset($messageCacheID)): ?>
<input type="hidden" name="messageCache" value="<?php echo $messageCacheID ?>" />
<?php endif; ?>
<input type="hidden" name="spellcheck" value="" />
<input type="hidden" name="index" value="<?php echo htmlspecialchars(Horde::getFormData('index')) ?>" />
<input type="hidden" name="page" value="<?php echo htmlspecialchars(Horde::getFormData('page')) ?>" />
<input type="hidden" name="start" value="<?php echo htmlspecialchars(Horde::getFormData('start')) ?>" />
<input type="hidden" name="popup" value="<?php echo htmlspecialchars(Horde::getFormData('popup')) ?>" />
<input type="hidden" name="thismailbox" value="<?php echo htmlspecialchars(Horde::getFormData('thismailbox')) ?>" />
<input type="hidden" name="attachmentAction" value="" />
<input type="hidden" name="reloaded" value="1" />
<?php if ($availRichtext): ?>
<input type="hidden" name="richtext" value="<?php echo $useRichtext ?>" />
<?php endif; ?>
<?php if ((Horde::getFormData('is_reply') == 1) || (($actionID == REPLY) || ($actionID == REPLY_ALL) || ($actionID == REPLY_LIST))): ?>
<input type="hidden" name="is_reply" value="1" />
<input type="hidden" name="in_reply_to" value="<?php echo htmlspecialchars($header['inreplyto']) ?>" />
<input type="hidden" name="references" value="<?php echo htmlspecialchars($header['references']) ?>" />
<?php endif; ?>

<table border="0" width="100%" align="center" cellpadding="0" cellspacing="1">
<tr class="header">
    <td colspan="2" height="25" class="header" width="700">
        <b>&nbsp;<?php echo htmlspecialchars($ACTION_TEXT) ?></b> -
        <?php echo strftime($conf['compose']['date_format']) ?>
    </td>
</tr>
</table>

<table border="0" width="100%" align="center" cellpadding="0" cellspacing="1">
<!-- Buttons Row -->
<tr>
    <td>&nbsp;</td>
    <td>

<table border="0" width="100%" cellpadding="0" cellspacing="0">
<tr>
    <td class="header" nowrap="nowrap" align="left">
        <input name="submitBtn" type="button" class="button" onclick="document.compose.actionID.value='<?php echo SEND_MESSAGE ?>'; uniqSubmit();" value="<?php echo _("Send Message") ?>" />
        <?php if ($conf['user']['allow_folders']): ?>
        <input name="submitBtn" type="button" class="button" onclick="document.compose.actionID.value='<?php echo SAVE_DRAFT ?>'; uniqSubmit();" value="<?php echo _("Save Draft") ?>" />
        <?php endif; ?>
        <input name="submitBtn" type="button" class="button" onclick="confirmCancel();" value="<?php echo _("Cancel Message") ?>" />
    </td>
    <td class="header" align="right"><?php echo ($useHelp) ? Help::link('imp', 'compose-buttons') : '&nbsp;' ?></td>
</tr>
</table>

    </td>
</tr>
<!-- End Buttons Row -->

<?php if (!$prefs->isLocked('default_identity')): ?>
<tr>
    <td class="light" align="right"><b><?php echo _("Identity") ?>&nbsp;</b></td>
    <td class="item" align="left">

<table border="0" width="100%" cellpadding="0">
<tr>
    <td align="left">
      <input type="hidden" name="last_identity" value="<?php echo $identity->getDefault() ?>" />
      <select name="identity" tabindex="<?php echo $tabindex++ ?>" style="width:500px" onchange="change_identity(this.selectedIndex)">
      <?php foreach ($select_list as $key => $select): ?>
        <option value="<?php echo $key ?>"<?php if ($key == $identity->getDefault()) echo ' selected="selected"' ?>><?php echo htmlspecialchars($select) ?></option>
      <?php endforeach; ?>
      </select>
    </td>
<?php else: ?>
<tr>
    <td class="light" align="right"><b><?php echo _("From") ?>&nbsp;</b></td>
    <td class="item" align="left">

    <table border="0" width="100%" cellpadding="0">
    <tr>
    <?php if (!$prefs->isLocked('from_addr')): ?>
        <td align="left"><input type="text" size="60" tabindex="<?php echo $tabindex++ ?>" class="fixed" name="from" value="<?php echo htmlspecialchars($from) ?>" style="width:500px" /></td>
    <?php else: ?>
        <td align="left"><b>&nbsp;<?php echo htmlspecialchars($from) ?></b></td>
    <?php endif; ?>
    <?php endif; ?>
            <td align="right"><?php echo ($useHelp) ? Help::link('imp', 'compose-from') : '&nbsp;' ?></td>
    </tr>
    </table>

        </td>
    </tr>

    <tr>
        <td class="light" align="right" valign="top"><b><?php echo Horde::highlightAccessKey(_("To"), $ak = Horde::getAccessKey(_("To"))) ?>&nbsp;</b></td>
    <td class="item" align="left">

<table border="0" width="100%" cellpadding="0">
<?php if (is_array($header['to'])): $first_to = true; ?>
<?php foreach ($header['to'] as $to_item): ?>
<tr>
<?php if (count($to_item) > 1): ?>
    <td align="left">
        <table border="0" cellspacing="0" cellpadding="0">
        <tr>
            <td width="350">
                <select tabindex="<?php echo $tabindex++ ?>" name="to_list[<?php echo htmlspecialchars($to_item[0]) ?>]" style="width:350px">
                    <option value="" selected="selected"><?php echo _("Please select or edit right next:") ?></option>
<?php for ($i = 1; $i < count($to_item); $i++): ?>
                    <option value="<?php echo htmlspecialchars($to_item[$i]) ?>"><?php echo htmlspecialchars($to_item[$i]) ?></option>
<?php endfor; ?>
                </select>
            </td>
            <td width="150">
                <input type="text" size="15" tabindex="<?php echo $tabindex++ ?>" class="fixed" name="to_field[<?php echo htmlspecialchars($to_item[0]) ?>]" value="<?php echo htmlspecialchars($to_item[0]) ?>" style="width:150px" />
            </td>
        </tr>
        </table>
    </td>
<?php else: ?>
    <td align="left"><input type="text" size="60" tabindex="<?php echo $tabindex++ ?>" class="fixed" name="to_field[]" value="<?php echo htmlspecialchars($to_item) ?>" style="width:500px" /></td>
<?php endif; ?>
<?php if ($useHelp && $first_to): $first_to = false; ?>
    <td align="right"><?php echo Help::link('imp', 'compose-to') ?></td>
<?php else: ?>
    <td>&nbsp;</td>
<?php endif; ?>
</tr>
<?php endforeach; ?>
<tr>
    <td align="left"><input type="text" accesskey="<?php echo $ak ?>" size="60" tabindex="<?php echo $tabindex++ ?>" class="fixed" name="to_new" style="width:500px" /></td>
    <td>&nbsp;</td>
</tr>
<?php else: ?>
<tr>
  <td align="left"><input type="text" accesskey="<?php echo $ak ?>" size="60" tabindex="<?php echo $tabindex++ ?>" class="fixed" name="to" value="<?php echo htmlspecialchars($header['to']) ?>" style="width:500px"
  <?php if ($browser->hasFeature('iframes')): ?>
onchange="expandField(this)" /><span id='expandingto' style='color:red;visibility:hidden;'><?php echo _("Expanding...") ?></span>
  <?php else: ?>
  />
  <?php endif; ?>
  </td>
  <td align="right"><?php echo ($useHelp) ? Help::link('imp', 'compose-to') : '&nbsp;' ?></td>
</tr>
<?php endif; ?>
</table>

    </td>
</tr>

<?php if ($conf['compose']['allow_cc']): ?>
<tr>
    <td class="light" align="right" valign="top"><b><?php echo Horde::highlightAccessKey(_("Cc"), $ak = Horde::getAccessKey(_("Cc"))) ?>&nbsp;</b></td>
    <td class="item" align="left">

<table border="0" width="100%" cellpadding="0">
<?php if (is_array($header['cc'])): $first_cc = true; ?>
<?php foreach ($header['cc'] as $cc_item): ?>
<tr>
<?php if (count($cc_item) > 1): ?>
    <td align="left">
        <table border="0" cellspacing="0" cellpadding="0">
        <tr>
            <td width="350">
                <select tabindex="<?php echo $tabindex++ ?>" name="cc_list[<?php echo htmlspecialchars($cc_item[0]) ?>]" style="width:350px">
                    <option value="" selected="selected"><?php echo _("Please select or edit right next:") ?></option>
<?php for ($i = 1; $i < count($cc_item); $i++): ?>
                    <option value="<?php echo htmlspecialchars($cc_item[$i]) ?>"><?php echo htmlspecialchars($cc_item[$i]) ?></option>
<?php endfor; ?>
                </select>
            </td>
            <td width="150">
                <input type="text" size="15" tabindex="<?php echo $tabindex++ ?>" class="fixed" name="cc_field[<?php echo htmlspecialchars($cc_item[0]) ?>]" value="<?php echo htmlspecialchars($cc_item[0]) ?>" style="width:150px" />
            </td>
        </tr>
        </table>
    </td>
<?php else: ?>
    <td align="left"><input type="text" size="60" tabindex="<?php echo $tabindex++ ?>" class="fixed" name="cc_field[]" value="<?php echo htmlspecialchars($cc_item) ?>" style="width:500px" /></td>
<?php endif; ?>
<?php if ($useHelp && $first_cc): $first_cc = false; ?>
    <td align="right"><?php echo Help::link('imp', 'compose-cc') ?></td>
<?php else: ?>
    <td>&nbsp;</td>
<?php endif; ?>
</tr>
<?php endforeach; ?>
<tr>
    <td align="left"><input type="text" accesskey="<?php echo $ak ?>" size="60" tabindex="<?php echo $tabindex++ ?>" class="fixed" name="cc_new" style="width:500px" /></td>
    <td>&nbsp;</td>
</tr>
<?php else: ?>
<tr>
  <td align="left"><input type="text" accesskey="<?php echo $ak ?>" size="60" tabindex="<?php echo $tabindex++ ?>" class="fixed" name="cc" value="<?php echo htmlspecialchars($header['cc']) ?>" style="width:500px"
  <?php if ($browser->hasFeature('iframes')): ?>
onchange="expandField(this)" /><span id='expandingcc' style='color:red;visibility:hidden;'><?php echo _("Expanding...") ?></span>
  <?php else: ?>
  />
  <?php endif; ?>
  </td>
  <td align="right"><?php echo ($useHelp) ? Help::link('imp', 'compose-cc') : '&nbsp;' ?></td>
</tr>
<?php endif; ?>
</table>

</td></tr>
<?php endif; ?>

<?php if ($conf['compose']['allow_bcc']): ?>
<tr>
    <td class="light" align="right" valign="top"><b><?php echo Horde::highlightAccessKey(_("Bcc"), $ak = Horde::getAccessKey(_("Bcc"))) ?>&nbsp;</b></td>
    <td class="item" align="left">

<table border="0" width="100%" cellpadding="0">
<?php if (is_array($header['bcc'])): $first_bcc = true; ?>
<?php foreach ($header['bcc'] as $bcc_item): ?>
<tr>
<?php if (count($bcc_item) > 1): ?>
    <td align="left">
        <table border="0" cellspacing="0" cellpadding="0">
        <tr>
            <td width="350">
                <select tabindex="<?php echo $tabindex++ ?>" name="bcc_list[<?php echo htmlspecialchars($bcc_item[0]) ?>]" style="width:350px">
                    <option value="" selected="selected"><?php echo _("Please select or edit right next:") ?></option>
<?php for ($i = 1; $i < count($bcc_item); $i++): ?>
                    <option value="<?php echo htmlspecialchars($bcc_item[$i]) ?>"><?php echo htmlspecialchars($bcc_item[$i]) ?></option>
<?php endfor; ?>
                </select>
            </td>
            <td width="150">
                <input type="text" size="15" tabindex="<?php echo $tabindex++ ?>" class="fixed" name="bcc_field[<?php echo htmlspecialchars($bcc_item[0]) ?>]" value="<?php echo htmlspecialchars($bcc_item[0]) ?>" style="width:150px" />
            </td>
        </tr>
        </table>
    </td>
<?php else: ?>
    <td align="left"><input type="text" size="60" tabindex="<?php echo $tabindex++ ?>" class="fixed" name="bcc_field[]" value="<?php echo htmlspecialchars($bcc_item) ?>" style="width:500px" /></td>
<?php endif; ?>
<?php if ($useHelp && $first_bcc): $first_bcc = false; ?>
    <td align="right"><?php echo Help::link('imp', 'compose-bcc') ?></td>
<?php else: ?>
    <td>&nbsp;</td>
<?php endif; ?>
</tr>
<?php endforeach; ?>
<tr>
    <td align="left"><input type="text" accesskey="<?php echo $ak ?>" size="60" tabindex="<?php echo $tabindex++ ?>" class="fixed" name="bcc_new" style="width:500px" /></td>
    <td>&nbsp;</td>
</tr>
<?php else: ?>
<tr>
  <td align="left"><input type="text" accesskey="<?php echo $ak ?>" size="60" tabindex="<?php echo $tabindex++ ?>" class="fixed" name="bcc" value="<?php echo htmlspecialchars($header['bcc']) ?>" style="width:500px"
  <?php if ($browser->hasFeature('iframes')): ?>
onchange="expandField(this)" /><span id='expandingbcc' style='color:red;visibility:hidden;'><?php echo _("Expanding...") ?></span>
  <?php else: ?>
  />
  <?php endif; ?>
  </td>
  <td align="right"><?php echo ($useHelp) ? Help::link('imp', 'compose-bcc') : '&nbsp;' ?></td>
</tr>
<?php endif; ?>
</table>

</td></tr>
<?php endif; ?>

<tr>
    <td class="light" align="right"><b><?php echo Horde::highlightAccessKey(_("Subject"), $ak = Horde::getAccessKey(_("Subject"))) ?>&nbsp;</b></td>
    <td class="item" align="left">

<table border="0" width="100%" cellpadding="0">
<tr>
    <td align="left"><input type="text" accesskey="<?php echo $ak ?>" tabindex="<?php echo $tabindex++ ?>" class="fixed" name="subject" value="<?php echo htmlspecialchars($header['subject']) ?>" size="60"<?php if ($browser->isBrowser('msie')) echo ' onkeydown="subjectTab();"' ?> style="width:500px" /></td>
    <td align="right"><?php echo ($useHelp) ? Help::link('imp', 'compose-subject') : '&nbsp;' ?></td>
</tr>
</table>

    </td>
</tr>

<?php if ($prefs->getValue('set_priority')): ?>
<?php $priority = substr(Horde::getFormData('x_priority', '3'), 0, 1); ?>
<tr>
    <td class="light" align="right"><b><?php echo _("Priority") ?>&nbsp;</b></td>
    <td class="item" align="left">

<table border="0" width="100%" cellpadding="0">
<tr>
    <td align="left">
        <select name="x_priority" tabindex="<?php echo $tabindex++ ?>">
            <option value="1 (Highest)"<?php echo ($priority == '1)') ? ' selected="selected"' : ''?>>1 (<?php echo _("Highest") ?>)</option>
            <option value="2 (High)"<?php echo ($priority == '2') ? ' selected="selected"' : ''?>>2 (<?php echo _("High") ?>)</option>
            <option value="3 (Normal)"<?php echo ($priority == '3') ? ' selected="selected"' : ''?>>3 (<?php echo _("Normal") ?>)</option>
            <option value="4 (Low)"<?php echo ($priority == '4') ? ' selected="selected"' : ''?>>4 (<?php echo _("Low") ?>)</option>
            <option value="5 (Lowest)"<?php echo ($priority == '5') ? ' selected="selected"' : ''?>>5 (<?php echo _("Lowest") ?>)</option>
        </select>
    <td align="right"><?php echo ($useHelp) ? Help::link('imp', 'compose-priority') : '&nbsp;' ?></td>
</tr>
</table>

    </td>
</tr>
<?php endif; ?>

<tr>
    <td class="light" align="right" valign="top"><b><?php echo _("Options") ?>&nbsp;</b></td>
    <td class="control">

<table border="0" width="100%" cellspacing="0" cellpadding="0">
<tr>
    <td>

<table border="0" width="100%" cellspacing="1" cellpadding="0">
<tr valign="middle">
<?php if ($registry->hasMethod('contacts/search')): ?>
    <?php echo Menu::createItem(Horde::applicationUrl('contacts.php'), _("Address Book"), 'addressbook-red.gif', NULL, 'contacts', 'window.open(\'' . Horde::applicationUrl('contacts.php') . '\', \'contacts\', \'toolbar=no,location=no,status=yes,scrollbars=yes,resizable=yes,width=650,height=350,left=100,top=100\'); return false;', 'item', 'widget'); ?>
    <?php echo Menu::createItem('', _("Expand Names"), 'expand.gif', NULL, NULL, "document.compose.actionID.value='" . EXPAND_ADDRESSES  . "'; uniqSubmit(); return false;", 'item', 'widget'); ?>
<?php endif; ?>
<?php if (!empty($conf['utils']['spellchecker'])): ?>
    <?php echo Menu::createItem('', _("Spell Check"), 'spellcheck.gif', NULL, NULL, "document.compose.actionID.value='" . SPELL_CHECK . "'; uniqSubmit(); return false;", 'item', 'widget'); ?>
<?php endif; ?>
<?php if ($conf['compose']['special_characters']): ?>
    <?php echo Menu::createItem($registry->getParam('webroot', 'horde') . '/util/special_characters.php', _("Special Characters"), 'keyboard.gif', $registry->getParam('graphics', 'horde'), 'characters', 'window.open(\'' . $registry->getParam('webroot', 'horde') . '/util/special_characters.php\', \'chars\', \'height=220,width=400\'); return false;', 'item', 'widget'); ?>
<?php endif; ?>
<?php if ($imp['file_upload']): ?>
    <?php echo Menu::createItem('#attachments', _("Attachments"), 'manage_attachments.gif', NULL, NULL, NULL, 'item', 'widget'); ?>
<?php endif; ?>
</tr>
</table>

    </td>
    <td align="right" class="item" rowspan="2" valign="middle"><?php echo ($useHelp) ? Help::link('imp', 'compose-options') : '&nbsp;' ?></td>
</tr>
<tr>
    <td>

<table border="0" width="100%" cellspacing="1" cellpadding="0">
<tr>
<?php if ($conf['user']['allow_folders'] && !$prefs->isLocked('save_sent_mail')): ?>
    <td valign="bottom" class="item" align="left">
        <input id="ssm" type="checkbox" name="save_sent_mail"<?php echo $ssm_check ? ' checked="checked"' : '' ?> /><label for="ssm">
        <?php echo _("Save a copy in ") ?></label>

<?php
$sent_mail_folder = $identity->getSentmailFolder(null, Horde::getFormData('sent_mail_folder'));
if ($conf['user']['select_sentmail_folder'] && !$prefs->isLocked('sent_mail_folder')) {
    $folders = IMP::flistSelect('', false, array('INBOX'), $sent_mail_folder);
    echo '<select tabindex="' . $tabindex++ . '" name="sent_mail_folder">' . $folders . '</select>';
} else {
    if (!empty($sent_mail_folder)) {
        $sent_mail_folder = '&quot;' . IMP::displayFolder($sent_mail_folder) . '&quot;';
    }
    echo '<span id="sent_mail_folder">' . $sent_mail_folder . '</span>';
}
?>
    </td>
<?php endif; ?>
<?php if ($conf['compose']['allow_receipts']): ?>
    <td valign="bottom" class="item" align="left">
        <table border="0" cellspacing="0" cellpadding="0">
        <tr>
            <td><input id="rrr" type="checkbox" name="request_return_receipt"<?php echo Horde::getFormData('request_return_receipt') == 'on' ? ' checked="checked"' : '' ?> /></td>
            <td><label for="rrr"><?php echo _("Request a Return Receipt") ?></label></td>
        </tr>
        </table>
    </td>
<?php endif; ?>
</tr>

<?php if ($availRichtext): ?>
<tr>
    <td colspan="2">

<table border="0" width="100%" cellspacing="0" cellpadding="0">
<tr>
    <td valign="bottom" class="item" align="left">
    <?php Horde::plink('', _("Switch Composition Method"), '', '', 'document.compose.richtext.value=' . (($useRichtext) ? 0 : 1) . '; uniqSubmit(); return false;') ?>
    <?php Horde::pimg('compose.gif', _("Switch Composition Method"), 'align="middle"') ?>
<?php if ($useRichtext): ?>
        <?php echo _("Switch to plain text composition.") ?></a>
<?php else: ?>
        <?php echo _("Switch to HTML composition.") ?></a>
<?php endif; ?>
    </td>
</tr>
</table>

    </td>
</tr>
<?php endif; ?>

</table>

    </td>
</tr>
</table>

    </td>
</tr>
<tr>
<td colspan="2" align="right" class="fixed">
<?php if ($useRichtext): ?>
  <input type="hidden" name="messageHTML" rows="20" cols="<?php echo $prefs->getValue('wrap_width') ?>" wrap="hard" />
  <textarea class="fixed" tabindex="<?php echo $tabindex++ ?>" name="message" rows="20" cols="<?php echo $prefs->getValue('wrap_width') ?>" wrap="hard" style="display:none"><?php echo htmlspecialchars($msg) ?></textarea>
  <object name="editor" id="editor" style="background-color: buttonface" data="<?php echo $registry->getParam('webroot', 'horde') ?>/util/editor/designmode/editor.php" width="640" height="350" type="text/x-scriptlet" viewastext="viewastext"></object>
<?php else: ?>
  <textarea class="fixed" tabindex="<?php echo $tabindex++ ?>" name="message" rows="20" cols="<?php echo $prefs->getValue('wrap_width') ?>" wrap="hard" ><?php echo htmlspecialchars($msg) ?></textarea>
<?php endif; ?>
</td>
</tr>

<?php if ($useRichtext): ?>
<script language="JavaScript" type="text/javascript" event="onload" for="window">
var _html = "<?php echo str_replace(array("\n", "\r"), array('\n', ''), addslashes(Horde::getFormData('messageHTML'))) ?>";
// Glue to populate the editor with the existing message text.
if (_html != "") {
    document.compose.editor.setHTML(_html);
} else {
    document.compose.editor.setText(document.compose.message.value);
}
</script>
<?php endif; ?>
</tr>

<!-- Buttons Row -->
<tr>
    <td>&nbsp;</td>
    <td>

<table border="0" width="100%" cellpadding="0" cellspacing="0">

<tr>
    <td class="header" nowrap="nowrap" align="left">
        <input name="submitBtn" type="button" class="button" onclick="document.compose.actionID.value='<?php echo SEND_MESSAGE ?>'; uniqSubmit();" value="<?php echo _("Send Message") ?>" />
        <?php if ($conf['user']['allow_folders']): ?>
        <input name="submitBtn" type="button" class="button" onclick="document.compose.actionID.value='<?php echo SAVE_DRAFT ?>'; uniqSubmit();" value="<?php echo _("Save Draft") ?>" />
        <?php endif; ?>
        <input name="submitBtn" type="button" class="button" onclick="confirmCancel();" value="<?php echo _("Cancel Message") ?>" />
    </td>
    <td class="header" align="right"><?php echo ($useHelp) ? Help::link('imp', 'compose-buttons') : '&nbsp;' ?></td>
</tr>
<?php if ($prefs->getValue('use_pgp') || $prefs->getValue('use_smime')): ?>
    <?php if ($prefs->getValue('use_pgp') && $prefs->getValue('pgp_public_key')): ?>
<tr>
    <td class="item" nowrap="nowrap" align="left">
        <input id="pap" type="checkbox" name="pgp_attach_pubkey" <?php if (Horde::getFormData('pgp_attach_pubkey', $prefs->getValue('pgp_attach_pubkey'))) echo 'checked="checked"' ?> /><label for="pap">
        <?php echo _("Attach a copy of your PGP public key to your message?") ?></label>
    </td>
    <td class="item" align="right"><?php echo ($useHelp) ? Help::link('imp', 'ipgp-compose-attach-pubkey') : '&nbsp;' ?></td>
    </td>
</tr>
    <?php endif; ?>
<tr>
    <td class="item" nowrap="nowrap" align="left">
        <b>&nbsp;<?php echo _("Encryption Options") ?>:</b>&nbsp;
        <select name="sign_options">
<?php
    if (!($signOpt = Horde::getFormData('sign_options'))) {
   	if ($prefs->getValue('pgp_auto_sign')) {
		$signOpt = PGP_SIGN;
	}
	else
	{
        	$signOpt = PGP_NONE;
	}
    }
    $enc_options = array(PGP_NONE => _("No Encryption"));
    if ($prefs->getValue('use_pgp')) {
        $enc_options[PGP_ENCRYPT] = _("PGP Encrypt Message");
        $enc_options[PGP_SIGN] = _("PGP Sign Message");
        $enc_options[PGP_SIGNENC] = _("PGP Sign/Encrypt Message");
    }
    if ($prefs->getValue('use_smime')) {
        $enc_options[SMIME_ENCRYPT] = _("S/MIME Encrypt Message");
        $enc_options[SMIME_SIGN] = _("S/MIME Sign Message");
        $enc_options[SMIME_SIGNENC] = _("S/MIME Sign/Encrypt Message");
    }
    foreach ($enc_options as $key => $val) {
        echo '<option value="' . $key . '"' . (($signOpt == $key) ? ' selected="selected"' : '') . '>' . $val . '</option>' . "\n";
    }
?>
        </select>
    </td>
    <td class="item" align="right"><?php echo ($useHelp) ? Help::link('imp', 'compose-options-encrypt') : '&nbsp;' ?></td>
</tr>

<?php endif; ?>
</table>

    </td>
</tr>
<!-- End Buttons Row -->

<!-- Attachments -->
<?php if ($imp['file_upload']): ?>
<tr><td colspan="2">&nbsp;</td></tr>
<tr class="header">
    <td colspan="2" height="25" class="header">
        <b>&nbsp;<a name="attachments"></a><?php echo _("Attachments") ?></b>
    </td>
</tr>

<tr>
    <td align="right" class="light"><b><?php echo Horde::highlightAccessKey(
_("Attachments"), $ak = Horde::getAccessKey(_("Attachments"))) ?>&nbsp;</b></td>
    <td class="item" align="left">

    <table border="0" width="100%" cellpadding="0">
    <tr>
        <td align="left">
            <input name="<?php echo IMP_COMPOSE_UPLOAD ?>" accesskey="<?php echo $ak ?>" tabindex="<?php echo $tabindex++ ?>" type="file" size="30" class="fixed" />&nbsp;
            <select name="file_disposition">
                <option value="attachment" selected="selected"><?php echo _("Attachment") ?></option>
                <option value="inline"><?php echo _("Inline") ?></option>
            </select>&nbsp;
            <input type="button" class="button" onclick="attach(<?php echo ADD_ATTACHMENT ?>, 'add');" value="<?php echo _("Attach") ?>" />
        </td>
        <td align="right" valign="top"><?php echo ($useHelp) ? Help::link('imp', 'compose-attach') : '&nbsp;' ?></td>
    </tr>
    </table>

    </td>
</tr>

<?php if (!empty($messageCache)): ?>
<tr>
    <td>&nbsp;</td>
    <td class="item">

    <table border="0" width="100%" cellpadding="0">
    <tr>
        <td align="left">
        <table class="item" border="0" cellpadding="1" cellspacing="2">
<?php
    $mime_contents = &new MIME_Contents(new MIME_Part());
    $localeinfo = localeconv();
    $total_size = 0;
    $file_no = 0;

    foreach ($messageCache as $key => $mime) {
        $total_size += $mime->getBytes();
        $disposition = $mime->getDisposition();
        $viewer = &$mime_contents->getMIMEViewer($mime);
        require IMP_TEMPLATES . '/compose/attachments.inc';
    }
?>

        <tr><td>&nbsp;</td></tr>

        <tr>
            <td colspan="4" align="left"><b><?php echo _("Total Attachments Size:") ?></b> <?php echo number_format($total_size / 1024, 2, $localeinfo['decimal_point'], '') ?> <?php echo _("KB") ?></th>
        </tr>

        <tr>
            <td colspan="4"><?php Horde::pimg('reload.gif', _("Refresh"), 'align="middle"') ?> <a href="" onclick="attach(<?php echo UPDATE_ATTACHMENT ?>, 'update'); return false;"><?php echo _("Update Attachment Information") ?></a></td>
        </tr>
        </table>
    </td>
    <td align="right" valign="top"><?php echo ($useHelp) ? Help::link('imp', 'compose-attachments') : '&nbsp;' ?></td>
</tr>
</table>

</td>
</tr>
<?php endif; ?>
<?php endif; ?>
<!-- End Attachments -->

</table>
</form>
